<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LocationCountry extends Model
{
    use HasFactory;

public $timestamps = false;
    protected $table = 'fcf_location_countries';

    protected $fillable = [
        'code',
        'istat_code',
        'name'
    ];

    public function birthLocations()
    {
        return $this->hasMany(Anagrafica::class, 'anag_foreign_birth_country');
    }

    public function residenceLocations()
    {
        return $this->hasMany(Anagrafica::class, 'anag_foreign_residence_country');
    }

}
